Web lists-archives.com

[kde-linux] Strigi-0.7.6




Did someone like totally forget to release a tarball for: "strigi-0.7.6" & "strigi-0.7.7"?

I also note that it is/was a real pain to get it from GIT because:

It is broken up into submodules but there is NO indication of this and no real indication of which repository is the main module or that it doesn't contain the code.

In order to checkout the modules it is necessary to have a section in your: ".gitconfig" file that can be found only with a lot of searching in KDE TechBase, or you have to edit the: ".gitmodules" file. Again we appear to have the typical KDE hubris -- the presumption that users would only be building TRUNK.

************************

So, about an hour wasted. As someone with college training in software engineering, these stupid mistakes are very annoying.

Note that you need Strigi >= 0.7.6 because the older versions will not work with the current release of Clucene. Again, I had to use trial and error to figure that out. The lack of documentation is a serious issue since this dependency issue still applies for those that do not build from source.

--
James Tyrer

Linux (mostly) From Scratch
___________________________________________________
This message is from the kde-linux mailing list.
Account management:  https://mail.kde.org/mailman/listinfo/kde-linux.
Archives: http://lists.kde.org/.
More info: http://www.kde.org/faq.html.